xmlwrapp Lightweight C++ XML parsing library

Classes | Namespaces | Variables
errors.h File Reference
`#include "xmlwrapp/export.h"`
`#include <stdexcept>`
`#include <string>`
`#include <list>`
Include dependency graph for errors.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | xml::exception
| This exception class is thrown by xmlwrapp for all runtime XML-related errors. More...
class | xml::error_handler
| The xml::error_handler class is used to handle libxml2 errors and warnings emitted during parsing, validation etc. More...
class | xml::error_handler_ignore_errors
| An error handler that ignores both errors and warnings. More...
class | xml::error_handler_throw_on_error
| Specialization of error_handler that throws on any error. More...
class | xml::error_handler_throw_on_error_or_warning
| Specialization of error_handler that throws on any error or warning. More...
class | xml::error_message
| Single message in error_messages. More...
class | xml::error_messages
| The xml::error_messages class is used to store all the error messages which are collected while parsing or validating an XML document. More...

## Namespaces
| xml
| XML library namespace.

## Variables
error_handler_ignore_errors | xml::ignore_errors
| Error handler ignoring all errors, its use is strongly discouraged. More...
error_handler_throw_on_error | xml::throw_on_error
| Error handler object that throws on any error. More...
error_handler_throw_on_error_or_warning | xml::throw_on_error_or_warning
| Error handler object that throws on any error or warning. More...

## Detailed Description

This file contains errors-handling classes: xml::exception and xml::error_handler and derived classes.